Upgrades the edition for a list of reservations and capacity commitments.
You can only upgrade to a higher edition (from STANDARD to ENTERPRISE or ENTERPRISE_PLUS, from ENTERPRISE to ENTERPRISE_PLUS, or from EDITION_UNSPECIFIED to ENTERPRISE or ENTERPRISE_PLUS). You can't downgrade an edition.
The upgrade must not cause an overall flexible slot increase across the original and target editions (for example, by upgrading a reservation without upgrading its corresponding capacity commitment). Otherwise, the method fails with a google.rpc.Code.FAILED_PRECONDITION error.
Before the upgrade, the service validates that the resources meet the requirements of the target edition (for example, all reservations within a reservation group must be upgraded together).
HTTP request
POST https://bigqueryreservation.googleapis.com/v1/{parent=projects/*/locations/*}:upgradeEdition
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
The parent resource name that identifies the admin project and location, in the format |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{
"targetEdition": enum ( |
| Fields | |
|---|---|
targetEdition |
The |
capacityCommitments[] |
Optional. The resource names of the capacity commitments to upgrade, in the format These capacity commitments must be in the Authorization requires the following IAM permission on the specified resource
|
reservations[] |
Optional. The resource names of the reservations to upgrade, in the format These reservations must exist under the specified Authorization requires the following IAM permission on the specified resource
|
Response body
The response for ReservationService.UpgradeEdition.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "capacityCommitments": [ { object ( |
| Fields | |
|---|---|
capacityCommitments[] |
The updated capacity commitments after the upgrade. |
reservations[] |
The updated reservations after the upgrade. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/bigqueryhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.